MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030900Open CASCADE[OCCT] OCCT:Configurationpublic2019-08-15 01:052019-08-17 12:24
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.4.0* 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0030900: Configuration - fix compilation using macOS SDK before 10.12
DescriptionBuilding OCCT using pre-macOS 10.12 SDK leads to compilation errors due to usage of new enumerations.
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0030507verifiedbugmaster Visualization - introduce AIS_ViewController 

-  Notes
(0086250)
git (administrator)
2019-08-15 01:07

Branch CR30900 has been created by kgv.

SHA-1: 7e8629324046d920e1309d3aed1b474d13681038


Detailed log of new commits:

Author: kgv
Date: Thu Aug 15 01:04:45 2019 +0300

    0030900: Configuration - fix compilation using macOS SDK before 10.12
    
    ViewerTest - added compatibility defines.
(0086255)
kgv (developer)
2019-08-15 09:37

Please raise the patch.
(0086298)
git (administrator)
2019-08-17 12:24

Branch CR30900 has been deleted by inv.

SHA-1: 7e8629324046d920e1309d3aed1b474d13681038

- Related Changesets
occt: master c64135f7
Timestamp: 2019-08-14 22:04:45
Author: kgv
Committer: bugmaster
Details ] Diff ]
0030900: Configuration - fix compilation using macOS SDK before 10.12

ViewerTest - added compatibility defines.
mod - src/ViewerTest/ViewerTest_ViewerCommands_1.mm Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-08-15 01:05 kgv New Issue
2019-08-15 01:05 kgv Assigned To => bugmaster
2019-08-15 01:07 git Note Added: 0086250
2019-08-15 09:37 kgv Note Added: 0086255
2019-08-15 09:37 kgv Severity minor => trivial
2019-08-15 09:37 kgv Status new => resolved
2019-08-15 09:37 kgv Status resolved => reviewed
2019-08-15 09:37 kgv Relationship added child of 0030507
2019-08-15 17:44 bugmaster Status reviewed => tested
2019-08-15 17:46 bugmaster Test case number => Not required
2019-08-17 12:07 bugmaster Changeset attached => occt master c64135f7
2019-08-17 12:07 bugmaster Status tested => verified
2019-08-17 12:07 bugmaster Resolution open => fixed
2019-08-17 12:24 git Note Added: 0086298


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker